<?php
/*********************************
	Z-Ray Constants Plugin
	Version: 1.00
**********************************/
namespace ZRay;

class Constants {
    public function dump(array $context, array &$storage) {
        $storage['Constants'][] = get_defined_constants(true);
        // $storage['Functions'][] = get_defined_functions(true)['user'];
    }

    public static function shutdown(): bool {
        return true;
    }
}

if (class_exists('ZRayPlugin', false)) {

	register_shutdown_function('ZRay\Constants::shutdown');

	$zrp = new \ZRayPlugin("Constants", true);

	$constants = new Constants();

	$zrp->traceFunction(
		'ZRay\Constants::shutdown',
		null,
		[$constants, 'dump']
	);
}
